Resolving ASMA254I after upgrading to DB2 release 10.

Document ID : KB000028703
Last Modified Date : 14/02/2018
Show Technical Document Details

Upgraded to DB2 v10 and receiving this error message:

** ASMA254I *** MNOTE ***             2+     12,HOLD CURSOR NOT VALID FOR DB2 RELEASE LESS THAN 2.3 

 

Please know that this error occurs when your DB2REL parameter is set to a value of '10' by coding DB2REL=10 in your OMSMCMD2 macro.

 

To resolve this,

1. Please go to your OMSMCMD2 macro which overrides the values in your DQSMCMD macro.

2. These two macros are found in your CA Pan/SQL CAIMAC

3. Please set DB2REL=101.